# -*- coding: utf-8 -*-
"""
Created on Thu Apr 28 15:43:56 2016

@author: phypsh
"""

#import matplotlib.pyplot as plt
import numpy as np
#from scipy import stats
import Stoner
from Stoner.Folders import DataFolder
#import Stoner.Plot as plot
import Stoner.Analysis as SA

path=r'\\stonerlab\data\Projects\PMA systems\Philippa\Kraken\20160415_ef036\mvT\\'
#filename='ef036_02_MvT_30kOe'
#filepath_in=path+filename+'.dat'
path_out=r'\\stonerlab\data\Projects\PMA systems\Philippa\Kraken\20160415_ef036\mvT_strip\\'
#filedescription='ef02903_msat_vs_T'

print 'starting'

msat_data=SA.AnalyseFile()
f=DataFolder(path, pattern='*.dat')
for item in f.files:
    data_in=Stoner.DataFile(item)

    magfield=round(np.mean(data_in.column('Magnetic Field (Oe)')))
    
    print magfield
    
    data=SA.AnalyseFile()
    data&=data_in.column('Temperature (K)')
    data&=data_in.column('Moment (emu)')
    data&=data_in.column('M. Std. Err. (emu)')
    data.column_headers=['Temperature (K)','Moment (emu)','M. Std. Err. (emu)']
    
    data['H Oe']=magfield
    
    data.save(item[:-4]+'_strip.txt')