# -*- coding: utf-8 -*-
"""
Created on Tue May 03 16:35:27 2016

@author: phypsh
"""
import Stoner.Analysis as SA
from Stoner.Folders import DataFolder

#stuff to change
########
folderpath=r'\\stonerlab\data\Projects\PMA systems\Philippa\Kraken\20160415_ef036\mvT_strip\10to300K\\'
tag_list=['30kOe','28kOe','25kOe','20kOe']
xy_col_index=0,1
output=r'\\stonerlab\data\Projects\PMA systems\Philippa\Kraken\20160415_ef036\20160415_ef036_mvT_sub_av.txt'
########

def extract_multi_xy(folderpath,tag_list,xy_col_index):
    """takes a path to a folder of data, a list of tags from filenames and the 
    indices of the x and y data and extracts x data from 1st file, then y data 
    from all files into a new file"""
    f=DataFolder(folderpath)
    
    d=SA.AnalyseFile()
    
    for tag in tag_list:
        for filepath in f.files:
            if tag in filepath:
                data_in=SA.AnalyseFile(filepath)
                if tag==tag_list[0]:
                    d&=data_in.column(xy_col_index[0])
                    d&=data_in.column(xy_col_index[1])
                else:
                    d&=data_in.column(xy_col_index[1])
    d.column_headers=['x']+tag_list
    d['tag_list']=tag_list
    return d

#main code
data=extract_multi_xy(folderpath,tag_list,xy_col_index)
data.column_headers='T (K)', 'm (emu) 30kOe','m (emu) 28kOe','m (emu) 25kOe','m (emu) 20kOe'

for row in data:
    